/*
    CSS for pwm
*/

.pwm-content-width { min-width:1000px; max-width:1270px }

/* P I C S   L I S T T R E E  */
	/* toggle items +/- */
	.p-listtree tr td .p-lt-toggle,
	.p-listtree tr.active td .p-lt-toggle	{ cursor:pointer; float:left; margin:5px 6px 0px 0px; background-image:url("/lib/gui/img/tree_nodes.png"); width:9px; height:9px; background-position: 0px -9px; background-repeat:no-repeat;  }
	.p-listtree tr.active td .p-lt-toggle	{ background-position: 0px 0px;  }
	.p-listtree tr td .p-lt-notoggle		{ float:left; width:15px; height:9px;}
	
	/* hover and bg-color swap */
	.p-listtree tbody tr							{ background-color: #FFFFFF; }
	.p-listtree tbody tr:hover						{ background-color: #FFFFCC; }
	.p-listtree tbody tr[data-bg-color-index="1"]	{ background-color: #F5F8FA; }
	
	/* table-head */
	.p-listtree thead tr 	{ border-bottom:1px solid #CCCCCC;  }
	.p-listtree thead td 	{ font-size:12px; padding:4px 5px; color:#333333; background-color: #CCCCCC; font-weight: bold; }
	
	/* icons and symbols */
	.p-tt-item-folder, .p-tt-item-page, .p-tt-item-subpage, .p-tt-item-modul, .p-tt-item-root { 
		background:url(/lib/gui/img/tree_items.png); background-repeat:no-repeat; padding-left:21px; height:16px; float:left; margin-top:1px; 
	}.p-tt-item-folder   { background-position: left 0px; }
	.p-tt-item-page { background-position: left -32px; }
	.p-tt-item-subpage { background-position: left -64px; }
	.p-tt-item-modul    { background-position: left -16px; }
	.p-tt-item-root { background-position: left -48px; }
				
	
	/* text in cols */
	.p-listtree tbody td	{ height:25px; color:#000 }
	.p-listtree tbody td a	{ color:#000; line-height: 18px; }
	.p-listtree tbody td a:hover	{ cursor:pointer }
	
	/* group row */
	.p-listtree tr.p-lt-group td	{ background-color:#f4f4f4; color:#990000; padding:4px 0 4px 4px; }
	.p-listtree tr.p-lt-group td .p-lt-group-title			{ font-weight: bold; line-height: 18px; }
	.p-listtree tr.p-lt-group td .p-lt-group-title:hover	{ cursor: pointer; }
	
	/* level indention */
	.p-lt-lv-0	{ padding-left:5px; }
	.p-lt-lv-1	{ padding-left:20px; }
	.p-lt-lv-2	{ padding-left:35px; }
	.p-lt-lv-3	{ padding-left:50px; }
	.p-lt-lv-4	{ padding-left:65px; }
	.p-lt-lv-5	{ padding-left:80px; }
	.p-lt-lv-6	{ padding-left:95px; }
	.p-lt-lv-7	{ padding-left:110px; }
	.p-lt-lv-8	{ padding-left:125px; }
	.p-lt-lv-9	{ padding-left:140px; }
	.p-lt-lv-10	{ padding-left:155px; }


/* page tree */
.pwm_page_tree  { width: 100%; }
.tbl_pt_head {}
.tbl_pt_entry_hover td { background-color: #FFFFCC; }
.tbl_pt_head td { height: 23px; padding-left: 5px;  font-weight: bold; background-color: #EDEDED; }
.tbl_pt_entry_1 { background-color: #F5F8FA; }
.tbl_pt_entry_0 td,.tbl_pt_entry_1 td,.tbl_pt_entry_hover td {  height: 23px;   padding-left: 5px; }
.tbl_pt_name { float: left; margin-top: 1px; }
.tbl_pt_item_root,.tbl_pt_item_page,.tbl_pt_item_folder {   float: left; background: url(/lib/gui/img/tree_items.png); background-repeat: no-repeat; width: 19px; height: 16px; float: left; margin-top: -1px; background-position: left -32px; margin-right: 3px; }
.tbl_pt_item_page { background-position: left -32px; }
.tbl_pt_item_root { background-position: left -48px; }
.tbl_pt_item_folder { background-position: left 0px; }
.tbl_pt_path { color: #999999; font-size:10px; }
.tbl_pt_path a { text-decoration: none; color: #333333; font-size:10px; }
.tbl_pt_link a { color: #333333; }
.tbl_pt_linktype    { color: #000066; cursor:pointer }
.tbl_pt_linktype:hover    { text-decoration:underline; }
.tbl_pt_user { color: #666666; font-size:10px; }
.tbl_pt_state_0, .tbl_pt_state_1, .tbl_pt_state_2, .tbl_pt_state_3 { font-size:10px; cursor:pointer; display:inline }
.tbl_pt_state_0:hover, .tbl_pt_state_1:hover, .tbl_pt_state_2:hover, .tbl_pt_state_3:hover { text-decoration:underline; }
.tbl_pt_state_0 { color: #CC0000; }
.tbl_pt_state_1 { color: #FF9900; }
.tbl_pt_state_2 { color: #009900; }
.tbl_pt_state_3 { color: #009900; }
.tbl_pt_state_combo {display:block; text-decoration:none; font-size:11px;  }
.tbl_pt_state_combo:hover { text-decoration:none; }
.tbl_pt_datepast { color: #FF0000; font-size:10px; }
.tbl_pt_datematch { color: #009900; font-size:10px; }
.tbl_pt_radio   { float:left; width:18px; padding-top:1px; }
.tbl_pt_fileext { float:left; width:18px; padding-right:5px; }
.tbl_pt_buttons	{ text-align:right; }
.tbl_pt_buttons	div { float:right; padding-left: 19px; }

/* 2018-06-22,as - scrollable pagetree */
#divPWMPageTree .scrollable         { max-height: calc(100vh - 160px ); overflow-y: scroll; }
#divPWMPageTree table               { width: 100%; }
#divPWMPageTree .tbl_pt_link        { width: 120px; }
#divPWMPageTree .tbl_pt_status      { width: 130px; }
#divPWMPageTree .tbl_pt_path        { width: 220px; }
#divPWMPageTree .tbl_pt_buttons     { width: 249px; }

/* page edit */
.pwm_page_options { width:380px; float: left; padding: 5px 0px 0px 10px; }
.pwm_block_options { width:100%; padding:10px; background-color:#E9E9E9 }
.pwm_block_options_col_1    { border-right:1px solid #CCCCCC; padding-top:10px; margin-right:10px; padding-right:20px; }
.pwm_block_options_col_3    { padding-left:15px; padding-top:3px; padding-bottom:5px; text-align:center }
.pwm_block_container { width: 820px; float: left; padding: 20px; padding-top: 5px; padding-right: 10px; }
	.pwm_block_container input[type="text"] { padding-left: 4px; width: 100%; border: 1px solid #CCCCCC; height: 18px; }
	.pwm_block_container select { width: 100%; border: 1px solid #CCCCCC; height: 18px; }
	.pwm_block_container textarea { width: 100%; border: 1px solid #CCCCCC; height: 200px; }
	.pwm_block_container a, .pwm_block_container .link { color: #CC0000; text-decoration: none; cursor:pointer; }
	
	.pwm_block_container input:hover, 
	.pwm_block_container select:hover,
	.pwm_block_container textarea:hover,
	.pwm_block_container input:focus, 
	.pwm_block_container select:focus,
	.pwm_block_container textarea:focus,
	
	.pwm_page_options input:hover, 
	.pwm_page_options select:hover,
	.pwm_page_options textarea:hover,
	.pwm_page_options input:focus, 
	.pwm_page_options select:focus,
	.pwm_page_options textarea:focus { background-color:#FFFFB0 } 
	
	.pwm_block_container select:hover,
	.pwm_page_options select:hover	{ cursor:pointer }

/* 2017-04-05,gc */
    .p-win.closed .container        { display: none; }
/* 2018-06-15,as - highlight expired blocks / hide inactive blocks */
    .pwm_block_container .p-win.hidden     { display: none;}
    .pwm_block_container .p-win.expired .p-panel-top-left,
        .pwm_block_container .p-win.expired .p-panel-top-center,
        .pwm_block_container .p-win.expired .p-panel-top-right    { background-image: url(/lib/gui/img/list-yellow.png);}
    .pwm_block_container .p-win.inactive .p-panel-top-left,
        .pwm_block_container .p-win.inactive .p-panel-top-center,
        .pwm_block_container .p-win.inactive .p-panel-top-right   { background-image: url(/lib/gui/img/list-red.png);}

.page-lang-rel-combo 			{ width:600px; padding:5px; height:28px; border:1px solid #CCC; cursor:pointer }
.page-lang-rel-combo option		{ padding:5px; background-color:#FFF; margin-top:1px; }
.page-lang-rel-combo optgroup	{ padding:15px; background-color:#EFEFEF; font-size:14px; font-weight:bold; font-style:normal; }
	
.pwm_page_message { min-width:960px; max-width:1220px; padding-left: 20px; padding-top: 5px; color: #FF0000; text-align: right; }
.pwm_block_container .p-win, .pwm_page_options .p-win { margin-bottom: 15px; }
.pwm_page_config { width:100%; padding: 5px; background-color: #E9E9E9 }
.pwm_page_config input[type="text"] { padding-left: 4px; width: 360px; border: 1px solid #CCCCCC; height: 18px; }
.pwm_page_config select, .pwm_add_block select, .pwm_backup select { width: 360px; border: 1px solid #CCCCCC; height: 18px; }
.pwm_page_config textarea { width: 360px; border: 1px solid #CCCCCC; height: 50px; padding: 3px; }
.pwm_page_config hr { color: #DDDDDD; }
.pwm_no_blocks { text-align: center; width: 100%; padding-top: 100px; cursor: pointer; }

/* pagetree - add entry */
.TypeInputCol   { vertical-align:top; padding-top:3px; width:18px; }
.TypeLabelCol   { vertical-align:top; }
.TypeTitle      { font-weight:bold; color:#1F4476; }
#frmPWMEditPageCategory input[type="text"], #frmPWMAddEntry input[type="text"] { padding-left: 4px; width: 100%; border: 1px solid #CCCCCC; height: 18px; }
#frmPWMEditPageCategory select, #frmPWMAddEntry select { width: 100%; border: 1px solid #CCCCCC; height: 18px; }
.PWMAddEntryTarget  { width:520px; height:460px; overflow-x:hidden; overflow-y:auto; padding-top:10px; }
.PWMAddListParent  { width:520px; height:280px; overflow-x:hidden; overflow-y:auto; padding-top:10px; }
#PWMAddTreeEntryRedirectToPageButton    { margin-right:10px;}


/* pagetree - move entry */
.PWMMoveEntryTarget { width:430px; height:480px; overflow-x:hidden; overflow-y:auto; padding-top:10px; }
.target_insert_row  { background-color:#EFEFEF; padding:5px; color:#999999; }

/* pwm template edit*/
#PWMTemplateDefaultBlank,#PWMTemplateImageBlank,#PWMTemplateDataSrcBlank { display:none; }
/*#PWMTemplateVideoBlank { display:none; }*/ 
#frmPWMTemplateGenerator input[type="text"]  { padding-left:4px; width:310px; border:1px solid #CCCCCC; height:18px; }
#frmPWMTemplateGenerator select              { width:316px; border:1px solid #CCCCCC; height:18px; }
#frmPWMTemplateGenerator textarea            { width:210px; border:1px solid #CCCCCC; height:50px; padding:3px; }
#frmPWMTemplateGenerator .pwm_element_block  { background-color:#EFEFEF; padding:10px; margin:5px 0px; width:550px; }
#frmPWMTemplateGenerator .image              { background-color:#FFEBD9; }
/*#frmPWMTemplateGenerator .video              { background-color:#D9EBFF; }*/
#frmPWMTemplateGenerator .datasrc            { background-color:#FFFFCC; }


/* UPLOADER */
.btnChooseUploadFiles,
.btnAbortUploadFiles 	{ 
	border: 1px solid #B0B0B0; border-radius: 3px; font-size: 12px; font-weight: bold; padding: 3px 5px; color: #333333; float: left;
	background-color: #F5F5F5; 
	/* Safari 4-5, Chrome 1-9 */	background-image: -webkit-gradient(linear, top, left, color-stop(0%, #F5F5F5), color-stop(80%, #DEDEDE));
	/* Safari 5.1, Chrome 10+ */	background-image: -webkit-linear-gradient(top, 0%, 80%);
	/* Firefox 3.6+ */ 				background-image: -moz-linear-gradient(top, #F5F5F5 0%, #DEDEDE 80%);
	/* Opera 11.10+ */				background-image: -o-linear-gradient(top, #F5F5F5 0%, #DEDEDE 80%);
	/* IE 10 */ 					background-image: -ms-linear-gradient(top, #F5F5F5 0%, #DEDEDE 80%);
	/* IE 8-9 */					-ms-filter: 		"progid:DXImageTransform.Microsoft.gradient(startColorStr='#F5F5F5', EndColorStr='#DEDEDE', GradientType=180)";
    /* IE 6-7 */					filter: 			progid + ":DXImageTransform.Microsoft.Gradient(StartColorStr='#F5F5F5', EndColorStr='#DEDEDE', GradientType=180)"; 	
}
.btnChooseUploadFiles:hover,
.btnAbortUploadFiles:hover {
	cursor: pointer;
	background-color: #DEDEDE; 
	/* Safari 4-5, Chrome 1-9 */	background-image: -webkit-gradient(linear, top, left, color-stop(0%, #DEDEDE), color-stop(80%, #F5F5F5));
	/* Safari 5.1, Chrome 10+ */	background-image: -webkit-linear-gradient(top, 0%, 80%);
	/* Firefox 3.6+ */ 				background-image: -moz-linear-gradient(top, #DEDEDE 0%, #F5F5F5 80%);
	/* Opera 11.10+ */				background-image: -o-linear-gradient(top, #DEDEDE 0%, #F5F5F5 80%);
	/* IE 10 */ 					background-image: -ms-linear-gradient(top, #DEDEDE 0%, #F5F5F5 80%);
	/* IE 8-9 */					-ms-filter: 		"progid:DXImageTransform.Microsoft.gradient(startColorStr='#DEDEDE', EndColorStr='#F5F5F5', GradientType=180)";
    /* IE 6-7 */					filter: 			progid + ":DXImageTransform.Microsoft.Gradient(StartColorStr='#DEDEDE', EndColorStr='#F5F5F5', GradientType=180)";
	
}
.btnChooseUploadFiles 	{ margin: 0 10px 10px 0; }
.uploader-global-progressbar,
.uploadQueue .file				 { clear: left; margin-bottom: 4px; display: none; border-radius: 4px; border: 1px solid #666666; overflow: hidden; }
.uploader-global-progressbar .background,
.uploader-progressbar .background 			{ width: 0; height: inherit; padding-top: 1px; background-color: #7eaef9; background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, rgba(0, 0, 0, 0) 25%, rgba(0, 0, 0, 0) 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, rgba(0, 0, 0, 0) 75%, rgba(0, 0, 0, 0)); background-size: 40px 40px; padding: 2px 0; }
.uploader-global-progressbar .text,
.uploader-progressbar .text 			{ height: inherit; width: inherit; margin-top: -20px; text-align: center; line-height: 16px; }
.uploadQueue .file { display: block; }
.uploadQueue .file.uploadError .background { background-color: #A73333 !important; }
.uploadQueue .file.uploadError .text { color: #EDEDED; }
.uploaderErrorMessage { display: none; border: 1px solid #666666; background-color: #A73333; color: #FDFDFD; width: inherit; clear: left; padding: 4px 8px; text-align: center; margin: 10px 0; }
.uploaderErrorMessage a { color: #FFC7BA; }


/* linkgenerator */
.PWMLinkPage, .PWMLinkFile, .PWMLinkNews    { width:100%; height:290px; overflow-x:hidden; overflow-y:auto; margin-top:10px; }
.PWMLinkFile    { height:180px; }
.PagetreeSettings { border-bottom:1px solid #CCCCCC; padding:10px; }
.LinkConfig input[type="text"], .PagetreeSettings input[type="text"] { padding-left: 4px; width: 100%; border: 1px solid #CCCCCC; height: 18px; }
.LinkConfig select, .PagetreeSettings select { width: 100%; border: 1px solid #CCCCCC; height: 18px; }

/* linkeditor */
#linkEditorUploadContainer .uploader-global-progressbar 		{ clear: right; height: 20px; }
#linkEditorUploadContainer .uploader-global-progressbar .text	{ margin-top: -25px; line-height: 20px; }
#linkEditorUploadContainer .btnAbortUploadFiles					{ margin-right: 10px; }

/* idb */
.imgContainer   { width:617px; height:550px; overflow-x:hidden; overflow-y:scroll; padding:5px }
.img, .img_new  { z-index:10; float:left; width:120px; height:140px; padding:10px; background-color:#EFEFEF; text-align:center; vertical-align:top; margin:0 5px 10px 5px; padding-top:2px; }
.img img, .img_new img { cursor:pointer; } 
.img_tools      { z-index:11; left:100px; top:3px; }
.img_new        { background-color:#DDDDDD; }
.img_but        { float:right; width:20px; height:20px; padding:0px; margin:0px; cursor:pointer; }
.img_info_box, .img_edit_box    { float: left; min-height:230px; width: 100%; }
.img_edit_box a { text-decoration:none; color:#CC0000; font-weight:bold; }
.img_info_box, .img_upload_box  { float: left; margin-bottom:20px; }
.img_info_box td        { vertical-align:top; padding-bottom:5px; padding:5px; }
.img_info_box .title,
.img_edit_box .title    { width:90px; background-color:#DDDDDD; padding:5px; }
.img_info_box .detail   { background-color:#FFFFFF; width: 200px; max-width: 200px; word-wrap: break-word; }
.marked                 { background-color:#FFFFCC; }
.img_upload_box input[type="text"], .img_edit_box input[type="text"] { padding-left: 4px; width: 100%; border: 1px solid #CCCCCC; height: 18px; }
.img_upload_box select { width: 100%; border: 1px solid #CCCCCC; height: 18px; }
.idbUploadContainer .uploadQueue { max-width: 309px; }
.image_edit_filters     { width:45px; vertical-align:top; text-align:center; }  
.image_edit_filters a   { font-size:11px; color:#5F7C92; font-weight:normal; }
	


/* add new block*/
.PWMAddBlockItem, .PWMAddBlockItemActive    { margin-bottom:10px; cursor:pointer; background-color:#FFFFFF; }
.PWMAddBlockItemActive                      { background-color:#FFFFB9; }
.PWMAddBlockCol         { background-color:#FFFFFF; width:305px; height:560px; padding:15px; padding-right:0px; border-right:2px solid #E4EBF6 }
.PWMAddBlockLastCol     { background-color:#FFFFFF; padding:15px; padding-right:0px; }
#PWMAddBlockPageBlockList { width:285px; margin-top:15px; height:460px; overflow-y:auto; }

/* gallery selection*/
.gallery-cat-grp		{ display:none }
#pwm-gallery-conf-col input[type="text"], #pwm-gallery-conf-col textarea, #pwm-gallery-conf-col select	 { margin-top:3px; padding:5px; width:260px; border: 1px solid #CCCCCC; }
#pwm-gallery-conf-col .label { color:#666666; font-weight:bold }

#pwm-gallery-toolbar-add-category, #pwm-gallery-toolbar-delete-gallery, #pwm-gallery-toolbar-delete-category, 
#PWMGalleryWinSetCategoryToBlockButton, #PWMGalleryWinSetGalleryToBlockButton	{ display: none }
#PWMGalleryWinSetCategoryToBlockButton	{ margin-left: 5px }


/* gallery images */
#pwm-gallery-images-container div { background-color:#F0F0F0; } /* { background-color:#F0F0F0; margin:0px 10px 10px 0px; padding:10px 0px; width:425px } */
	#pwm-gallery-images-container b { color:#666666 }
	#pwm-gallery-images-container input[type="text"] { margin-top:3px; padding:5px; width:235px; border: 1px solid #CCCCCC; }
#pwm-gallery-images-import-gallery-id { margin-top:7px; padding:5px; width:350px; border: 1px solid #CCCCCC; }

#pwm-gallery-images-import-container	{ margin-left:-5px; margin-top:20px; margin-bottom:15px; overflow-y:auto; height:305px; width:452px; }
	#pwm-gallery-images-import-container .pgi-sc { text-align:center; padding:9px; float:left; margin-left:5px; margin-bottom:5px; background-color:#F0F0F0; }
		#pwm-gallery-images-import-container .pgi-sci { width:120px; height:120px; margin-bottom:5px; text-align:center; }

/* nms */
#NMSRecipientSaveAssignmentButton, #NMSShowRecipientUploadButton 	{ display: none }
#NMSShowRecipientUploadButton 	{ margin-left:5px; }

.nms-table { width:100%;	}
.nms-table thead td, .nms-table tbody td { border-bottom:1px solid #D0D0D0; color:#000000; font-size:11px; font-family:tahoma,arial,helvetica,sans-serif; text-align:left  }
.nms-table thead td { height:30px; background-color:#ECECEC; font-weight:bold;  }
.nms-table tbody td { height:40px; background-color:#FFFFFF; font-weight:normal;  }
.nms-recipient-table thead td, .nms-recipient-table tbody td { border:none; height:14px; }
.nms-table .right { text-align:right }
.nms-table span.addData 	{ font-weight:bold; color:#CC0000 }
.nms-table span.dataAdded 	{ font-weight:bold; color:#009900 }

/* cs: tinyMCE - OneInstance a time only */
.tinyMCEDisplay			{ padding:5px; width:98%; height:250px; overflow:hidden; border:1px solid #CCCCCC; max-width:780px  }
.tinyMCEDisplay:hover 	{ background-color:#FFFFB0; cursor:pointer; }
.tinyMCEDisplay ul		{ margin-left: 25px; }
#tinyMCEPopupBox 		{ background-color: #FFFFB0; border: 1px solid #FFFF33; width: 800px; height: 600px; display: none; }
#tinyMCEPopupBox textarea { width: 796px; height: 559px; }
#ui-dialog-title-tinyMCEPopupBox { display: none; }
.ui-dialog-titlebar		{ display: none !important; }
.ui-dialog-buttonset button:hover { cursor: pointer; }


/* TRANSLATIONS */
#frmTranslationFilter .searchFilterBG                   { border-bottom: 2px solid #D0D0D0; color: #000000; background-color: #ECECEC; }
#frmTranslationFilter .searchFilterBG .left             { float: left; border-right: 2px solid #D0D0D0; padding: 15px;  }
#frmTranslationFilter .searchFilterBG .center           { float: left; width: 560px; padding: 15px;  }
#frmTranslationFilter .searchFilterBG .right            { float: right; border-left: 2px solid #D0D0D0; padding: 15px;  }
#frmTranslationFilter .searchFilterBG table tr td		{ font-size: 12px; }
#frmTranslationFilter .searchFilterBG input[type=text] 		{ width: 148px; margin-top:5px; padding:5px; border:1px solid #666666; font-size:14px }
#frmTranslationFilter .searchFilterBG input[type=submit] 	{ padding:5px; font-weight:bold }
#frmTranslationFilter .searchFilterBG select 				{ width: 160px; margin-top:5px; border:1px solid #666666; font-size:14px; padding:4px; }

#frmPWMTranslation .translationTableTextarea            { width: 660px; }
#frmPWMTranslation #table_pwm_translation a:hover       { cursor: pointer; }
#frmPWMTranslation #table_pwm_translation .highlight td { background-color: #DAA4A4; }

#translation-import-uploader                            { margin-left: 4px; width: 140px; }

/* FORMS */
.PWMFormGeneratorConfigForm input			{ width:100%; border:1px solid #CCCCCC; height:18px; padding-left:4px; }
.pwm_form_element_block						{ width:100%; }
.pwm_form_element_action					{ width:105px; float:right; margin-top:5px; }

.pwm_form_element_data						{ background-color:#EFEFEF; border:1px solid #D0D0D0; float:left; padding:10px; margin-bottom:10px; padding-top:10px; min-width:830px }
.pwm_form_element_data:hover				{ background-color:#DDD; }

td.pf_col_label	{ width:240px; }
/*.pwm_form_element_block .form_data input	{ border:1px solid #CCCCCC; height:18px; padding-left:4px; }*/
.pf_fieldset		{ color:#009900; font-size:14px; font-weight:bold; border:1px solid #FFFFFF; height:24px; }
.pf_fieldset:hover	{ border:1px solid #CCCCCC; }
.pf_label			{ color:#009900; font-size:12px; font-weight:bold; border:1px solid #FFFFFF; height:24px; width:200px; margin:2px 0px; padding-left:3px }
.pf_label:hover		{ border:1px solid #CCCCCC; }
.pf_textfield		{ color:#009900; font-size:12px; font-weight:bold; border:1px solid #CCCCCC; height:24px; width:268px; }
.pf_textarea		{ color:#009900; font-size:12px; font-weight:bold; border:1px solid #CCCCCC; height:100px; width:268px; }
.pf_required		{ color:#990000; font-size:12px; border:1px solid #CCCCCC; height:24px; padding:3px; width:150px; margin-left:10px; }
.pf_buttontext		{ width:100%; border:1px solid #CCCCCC; height:24px; padding-left:4px; }
.pf_select			{ font-size:12px; border:1px solid #CCCCCC; height:24px; width:295px; padding:5px; height:30px }
.pf_validate		{ color:#990000; font-size:12px; border:1px solid #CCCCCC; height:24px; width:80px; margin-left:10px; padding-left:3px }
.pf-element-validation-options	{ display:none }
.pf_button			{ font-size:12px; padding:5px 10px; }

.infoBox	{ padding:10px; margin:20px; background-color:#FFFFCC; border:1px solid #990000; }



@media screen and (max-width: 1270px){
	.pwm_page_options { width: 220px; }
	.pwm_block_container { width: 720px; }
	.pwm_page_message { width:960px; }
	.pwm_page_config input[type="text"] { width: 210px; }
	.pwm_page_config select, .pwm_add_block select, .pwm_backup select { width: 212px; }
	.pwm_page_config textarea { width: 210px; }
}

/* EXPLANATION */
.pwm_explanation_container { padding: 8px; }
.pwm_explanation_container label { margin: 10px 15px 0 1px; font-weight: bold; }
.pwm_explanation_container textarea { height: 80px; width: 100%; }
.pwm_explanation_container input { width: 100%; height: 20px; }
.pwm_explanation_container tr { height: 20px; }